Page MenuHomePhabricator

TMH subtitles not yet available with ogv.js player
Closed, ResolvedPublic

Description

https://test.wikipedia.org/wiki/File:Folgers.ogv should show with subtitles for the dialog, but currently with ogv.js player (as in Safari) we don't show them.

This may be as simple as claiming we support them, or may require copying or refactoring some code from the native player widget. Will take a look...

Event Timeline

brion created this task.Aug 4 2015, 6:58 PM
brion claimed this task.
brion raised the priority of this task from to Needs Triage.
brion updated the task description. (Show Details)
brion added a subscriber: brion.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 4 2015, 6:58 PM
TheDJ added a subscriber: TheDJ.Aug 6 2015, 8:26 PM

timeupdate.timedText event which triggers the monitor in mw.TimedText.js seems to never get triggered

brion added a comment.Aug 6 2015, 8:45 PM

Should be easy to add timeupdate events into ogv.js and pass them through the intermediary layer... adding to the ogv.js tracker: https://github.com/brion/ogv.js/issues/298

Change 230135 had a related patch set uploaded (by Brion VIBBER):
Get subtitles working in ogv.js

https://gerrit.wikimedia.org/r/230135

Change 230135 merged by jenkins-bot:
Get subtitles working in ogv.js

https://gerrit.wikimedia.org/r/230135

TheDJ closed this task as Resolved.Aug 7 2015, 8:04 PM
TheDJ removed a project: Patch-For-Review.
TheDJ set Security to None.